## remmina 1.2.31.4+dfsg

=== CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 2.8.2)

set(CMAKE_COLOR_MAKEFILE ON)

project(Remmina C)

include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FindPkgConfig)
include(CheckCCompilerFlag)
include(GNUInstallDirs)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

include(FindOptionalPackage)
include(ConfigOptions)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT BUILD_SHARED_LIBS)
    set(BUILD_SHARED_LIBS ON)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
    if(WITH_SSE2)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
    endif()
    check_c_compiler_flag(-Wno-unused-function Wno-unused-function)
    if(Wno-unused-function)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function")
    endif()
endif()

check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(netinet/tcp.h HAVE_NETINET_TCP_H)
check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(netdb.h HAVE_NETDB_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(errno.h HAVE_ERRNO_H)

include_directories(.)
include_directories(src/include)

# FreeBSD

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "-rdynamic")
    include_directories(/usr/local/include /usr/include)
    link_directories(/usr/local/lib /usr/lib)
    set(CMAKE_REQUIRED_INCLUDES /usr/local/include)
    set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_SHARED_LIBRARY_PREFIX} /usr/local/lib)
endif()

# Versioning
set(WITH_LIBRARY_VERSIONING "ON")
set(REMMINA_VERSION_MAJOR "1")
set(REMMINA_VERSION_MINOR "2")
set(REMMINA_VERSION_REVISION "31")
set(REMMINA_VERSION_SUFFIX "4")
#set(REMMINA_VERSION "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}")
set(REMMINA_VERSION "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}.${REMMINA_VERSION_SUFFIX}")

message(STATUS "Remmina version: ${REMMINA_VERSION}")

include(GetGitRevisionDescription)
git_get_exact_tag(REMMINA_GIT_REVISION --tags --always)
if(${REMMINA_GIT_REVISION} STREQUAL "n/a")
    git_rev_parse(REMMINA_GIT_REVISION --short)
endif()

message(STATUS "Git Revision: ${REMMINA_GIT_REVISION}")

# REMMINA_APP_ID should follow Gnome Application ID rules
set(REMMINA_APP_ID "org.remmina.Remmina")

if(NOT REMMINA_DATADIR)
    set(REMMINA_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}")
    if(NOT REMMINA_RUNTIME_DATADIR)
        set(REMMINA_RUNTIME_DATADIR "${REMMINA_DATADIR}")
    endif()
endif()
if(NOT REMMINA_TERM_CS_DIR)
    set(REMMINA_TERM_CS_DIR "${REMMINA_DATADIR}/remmina/term_colors")
endif()
if(NOT REMMINA_LOCALEDIR)
    set(REMMINA_LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
    if(NOT REMMINA_RUNTIME_LOCALEDIR)
        set(REMMINA_RUNTIME_LOCALEDIR "${REMMINA_LOCALEDIR}")
    endif()
endif()
if(NOT REMMINA_PLUGINDIR)
    set(REMMINA_PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/remmina/plugins")
    if(NOT REMMINA_RUNTIME_PLUGINDIR)
        set(REMMINA_RUNTIME_PLUGINDIR "${REMMINA_PLUGINDIR}")
    endif()
endif()
if(NOT REMMINA_UIDIR)
    set(REMMINA_UIDIR "${REMMINA_DATADIR}/remmina/ui")
    if(NOT REMMINA_RUNTIME_UIDIR)
        set(REMMINA_RUNTIME_UIDIR "${REMMINA_UIDIR}")
    endif()
endif()
if(NOT REMMINA_THEMEDIR)
    set(REMMINA_THEMEDIR "${REMMINA_DATADIR}/remmina/theme")
    if(NOT REMMINA_RUNTIME_THEMEDIR)
        set(REMMINA_RUNTIME_THEMEDIR "${REMMINA_THEMEDIR}")
    endif()
endif()
if(NOT REMMINA_EXTERNAL_TOOLS_DIR)
    set(REMMINA_EXTERNAL_TOOLS_DIR "${REMMINA_DATADIR}/remmina/external_tools")
    if(NOT REMMINA_RUNTIME_EXTERNAL_TOOLS_DIR)
        set(REMMINA_RUNTIME_EXTERNAL_TOOLS_DIR "${REMMINA_EXTERNAL_TOOLS_DIR}")
    endif()
endif()

# Snap package generation support
if(DEFINED ENV{SNAPCRAFT_PROJECT_NAME})
    add_subdirectory(snap)
else()
    find_program(SNAPCRAFT "snapcraft")
    if(SNAPCRAFT)
        add_subdirectory(snap)
    endif()
endif()

option(SNAP_BUILD_ONLY "SNAP_BUILD_ONLY" OFF)
if(SNAP_BUILD_ONLY)
    if(NOT SNAPCRAFT)
        message(FATAL_ERROR "snapcraft not found, impossible to create only snap target")
    endif()
    return()
endif()

if(SNAP_BUILD)
    add_definitions(-DSNAP_BUILD)
endif()

# Uninstall support
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

find_required_package(GTK)

set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package(Threads REQUIRED)
if(NOT CMAKE_USE_PTHREADS_INIT)
    message(FATAL_ERROR "pthreads thread library not found")
endif()

# Add GCC sanitizer options, must be done after pthreads detection
# see remmina issue #1276
if(CMAKE_COMPILER_IS_GNUCC AND WITH_GCC_SANITIZE_ADDRESS)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
endif()

# LLVM coverage flags - https://clang.llvm.org/docs/SourceBasedCodeCoverage.html
if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang" AND WITH_CLANG_COVERAGE)
    message(STATUS "Enabling coverage.")
    add_definitions(-DWITH_CLANG_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fprofile-instr-generate -fcoverage-mapping")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-instr-generate")
elseif("${CMAKE_C_COMPILER_ID}" MATCHES "GNU" AND WITH_GCC_PROFILING)
    message(STATUS "Enabling profiling.")
    add_definitions(-DWITH_GCC_PROFILING)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pg")
endif()

find_suggested_package(GCRYPT)
find_suggested_package(AVAHI)
find_package(OpenSSL)

if(WITH_TRACE_CALLS)
    message(STATUS "Enabling trace calls.")
    add_definitions(-DWITH_TRACE_CALLS)
endif()

option(WITH_MANPAGES "Build with MANPAGES" ON)
if(WITH_MANPAGES)
    message(STATUS "Enabling man pages.")
    add_definitions(-DWITH_MANPAGES)
else()
    message(STATUS "Man pages disabled")
endif()

if(GCRYPT_FOUND)
    add_definitions(-DHAVE_LIBGCRYPT)
endif()

if(AVAHI_FOUND)
    add_definitions(-DHAVE_LIBAVAHI_UI)
    add_definitions(-DHAVE_LIBAVAHI_CLIENT)
endif()

if(GTK_FOUND)
    add_subdirectory(src)
    add_subdirectory(data)
    add_subdirectory(plugins)
    add_subdirectory(plugins/secret)
endif()

if(WITH_TRANSLATIONS)
        add_subdirectory(po)
endif()


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
    ${CMAKE_CURRENT_SOURCE_DIR}/config.h)

=== data/CMakeLists.txt ===
# data - The GTK+ Remote Desktop Client
#
# Copyright (C) 2014-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

add_subdirectory(ui)
add_subdirectory(theme)
add_subdirectory(desktop)
add_subdirectory(icons)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== plugins/CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

# Needed FreeRDP version to build freerdp plugin
set(FREERDP_REQUIRED_MAJOR 2)
set(FREERDP_REQUIRED_MINOR 0)
set(FREERDP_REQUIRED_REVISION 0)
set(FREERDP_REQUIRED_VERSIONSTRING
    ${FREERDP_REQUIRED_MAJOR}.${FREERDP_REQUIRED_MINOR}.${FREERDP_REQUIRED_REVISION})

include_directories(${CMAKE_SOURCE_DIR}/plugins)

set(APPICONSCALE_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/emblems")

set(REMMINA_COMMON_INCLUDE_DIRS ${GTK_INCLUDE_DIRS})
set(REMMINA_COMMON_LIBRARIES ${GTK_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
        add_definitions(-DHAVE_LIBSSH)
        include_directories(${SSH_INCLUDE_DIRS})
        target_link_libraries(remmina ${SSH_LIBRARIES})
endif()

find_required_package(XKBFILE)

if(LIBSSH_FOUND AND XKBFILE_FOUND)
        add_subdirectory(nx)
endif()

add_subdirectory(xdmcp)

find_suggested_package(FREERDP)
if(FREERDP_FOUND)
        add_subdirectory(rdp)
endif()

find_suggested_package(TELEPATHY)
if(TELEPATHY_FOUND)
        add_subdirectory(telepathy)
endif()

find_suggested_package(LIBVNCSERVER)
if(LIBVNCSERVER_FOUND)
        add_subdirectory(vnc)
endif()

find_suggested_package(SPICE)
if(SPICE_FOUND)
        add_subdirectory(spice)
endif()

if(WITH_EXAMPLES)
        message(STATUS "Enabling examples and test plugins.")
        add_subdirectory(tool_hello_world)
endif()
add_subdirectory(exec)

=== src/CMakeLists.txt ===
# src/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 2.8)

list(APPEND REMMINA_SRCS
    "remmina_about.c"
    "remmina_about.h"
    "remmina_applet_menu.c"
    "remmina_applet_menu.h"
    "remmina_applet_menu_item.c"
    "remmina_applet_menu_item.h"
    "remmina_avahi.c"
    "remmina_avahi.h"
    "remmina.c"
    "remmina.h"
    "remmina_chat_window.c"
    "remmina_chat_window.h"
    "remmina_crypt.c"
    "remmina_crypt.h"
    "remmina_exec.c"
    "remmina_exec.h"
    "remmina_file.c"
    "remmina_file_editor.c"
    "remmina_file_editor.h"
    "remmina_file.h"
    "remmina_file_manager.c"
    "remmina_file_manager.h"
    "remmina_ftp_client.c"
    "remmina_ftp_client.h"
    "remmina_icon.c"
    "remmina_icon.h"
    "remmina_init_dialog.c"
    "remmina_init_dialog.h"
    "remmina_key_chooser.c"
    "remmina_key_chooser.h"
    "remmina_log.c"
    "remmina_log.h"
    "remmina_main.c"
    "remmina_main.h"
    "remmina_marshals.c"
    "remmina_marshals.h"
    "remmina_marshals.list"
    "remmina_masterthread_exec.c"
    "remmina_masterthread_exec.h"
    "remmina_plugin_manager.c"
    "remmina_plugin_manager.h"
    "remmina_ext_exec.c"
    "remmina_ext_exec.h"
    "remmina_pref.c"
    "remmina_pref_dialog.c"
    "remmina_pref_dialog.h"
    "remmina_pref.h"
    "remmina_protocol_widget.c"
    "remmina_protocol_widget.h"
    "remmina_public.c"
    "remmina_public.h"
    "remmina_scrolled_viewport.c"
    "remmina_scrolled_viewport.h"
    "remmina_sftp_client.c"
    "remmina_sftp_client.h"
    "remmina_sftp_plugin.c"
    "remmina_sftp_plugin.h"
    "remmina_ssh.c"
    "remmina_ssh.h"
    "remmina_ssh_plugin.c"
    "remmina_ssh_plugin.h"
    "remmina_string_array.c"
    "remmina_string_array.h"
    "remmina_string_list.c"
    "remmina_string_list.h"
    "remmina_utils.c"
    "remmina_utils.h"
    "remmina_widget_pool.c"
    "remmina_widget_pool.h"
    "remmina_external_tools.c"
    "remmina_external_tools.h"
    "remmina_sysinfo.h"
    "remmina_sysinfo.c"
    "remmina_connection_window.c"
    "remmina_connection_window.h"
    "remmina_mpchange.c"
    "remmina_mpchange.h"
    "remmina_stats.c"
    "remmina_stats.h"
    "remmina_stats_sender.c"
    "remmina_stats_sender.h"
    )

add_executable(remmina ${REMMINA_SRCS})
include_directories(${GTK_INCLUDE_DIRS})
target_link_libraries(remmina ${GTK_LIBRARIES})

if(WITH_MANPAGES)
    install(FILES remmina.1 DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1)
endif()

find_package(X11)
include_directories(${X11_INCLUDE_DIR})
target_link_libraries(remmina ${X11_LIBRARIES})

target_link_libraries(remmina ${CMAKE_THREAD_LIBS_INIT})

find_package(Intl)
if(INTL_FOUND AND "${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD|OpenBSD|NetBSD")
    message(STATUS "${CMAKE_SYSTEM_NAME} detected, building with Intl")
    include_directories(${Intl_INCLUDE_DIRS})
    target_link_libraries(remmina ${Intl_LIBRARIES})
endif()

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
        add_definitions(-DHAVE_LIBSSH)
        include_directories(${LIBSSH_INCLUDE_DIRS})
        target_link_libraries(remmina ${LIBSSH_LIBRARIES})
endif()

if(GCRYPT_FOUND)
        include_directories(${GCRYPT_INCLUDE_DIRS})
        target_link_libraries(remmina ${GCRYPT_LIBRARIES})
endif()

if(AVAHI_FOUND)
        include_directories(${AVAHI_INCLUDE_DIRS})
        target_link_libraries(remmina ${AVAHI_LIBRARIES})
endif()

if(OPENSSL_FOUND)
        include_directories(${OPENSSL_INCLUDE_DIRS})
        target_link_libraries(remmina ${OPENSSL_LIBRARIES})
endif()

option(WITH_VTE "Build with support for VTE" ON)
if(GTK3_FOUND AND WITH_VTE)
        set(_VTE_VERSION_NUMS 2.91 2.90)
        foreach(__VTE_VERSION ${_VTE_VERSION_NUMS})
                set(_VTE_VERSION_NUM ${__VTE_VERSION})
                find_package(VTE)
                if(VTE_FOUND)
                        break()
                endif()
                message(STATUS "VTE ${__VTE_VERSION} not found")
        endforeach()
elseif(WITH_VTE)
        set(_VTE_VERSION_NUM)
        find_package(VTE)
endif()

if(VTE_FOUND)
        add_definitions(-DHAVE_LIBVTE)
        include_directories(${VTE_INCLUDE_DIRS})
        target_link_libraries(remmina ${VTE_LIBRARIES})
endif()

if(GTK3_FOUND)
        find_suggested_package(APPINDICATOR)
        if(APPINDICATOR_FOUND)
                add_definitions(-DHAVE_LIBAPPINDICATOR)
                include_directories(${APPINDICATOR_INCLUDE_DIRS})
                target_link_libraries(remmina ${APPINDICATOR_LIBRARIES})
        endif()
        find_required_package(JSONGLIB)
        if(JSONGLIB_FOUND)
            include_directories(${JSONGLIB_INCLUDE_DIRS})
            target_link_libraries(remmina ${JSONGLIB_LIBRARIES})
        else()
            message(FATAL_ERROR "json-glib library not found")
        endif()
        find_required_package(LIBSOUP24)
        if(LIBSOUP24_FOUND)
            include_directories(${LIBSOUP24_INCLUDE_DIRS})
            target_link_libraries(remmina ${LIBSOUP24_LIBRARIES})
        else()
            message(FATAL_ERROR "libsoup 2.4 library not found")
        endif()
endif()

add_subdirectory(external_tools)

install(TARGETS remmina DESTINATION ${CMAKE_INSTALL_BINDIR})
install(DIRECTORY include/remmina/
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/remmina
    FILES_MATCHING PATTERN "*.h")

=== data/desktop/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

set(REMMINA_ICON ${REMMINA_APP_ID})

set(ICON16_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/apps")
set(ICON22_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/apps")
set(ICON24_DIR "${REMMINA_DATADIR}/icons/hicolor/24x24/apps")
set(ICON32_DIR "${REMMINA_DATADIR}/icons/hicolor/32x32/apps")
set(ICON48_DIR "${REMMINA_DATADIR}/icons/hicolor/48x48/apps")
set(ICON64_DIR "${REMMINA_DATADIR}/icons/hicolor/64x64/apps")
set(ICON72_DIR "${REMMINA_DATADIR}/icons/hicolor/72x72/apps")
set(ICON96_DIR "${REMMINA_DATADIR}/icons/hicolor/96x96/apps")
set(ICON128_DIR "${REMMINA_DATADIR}/icons/hicolor/128x128/apps")
set(ICON256_DIR "${REMMINA_DATADIR}/icons/hicolor/256x256/apps")
set(ICONSVG_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/apps")

set(ICON16_DATA 16x16/apps/${REMMINA_ICON}.png)
set(ICON22_DATA 22x22/apps/${REMMINA_ICON}.png)
set(ICON24_DATA 24x24/apps/${REMMINA_ICON}.png)
set(ICON16_DATA_PANEL 16x16/apps/remmina-panel.png)
set(ICON22_DATA_PANEL 22x22/apps/remmina-panel.png)
set(ICON24_DATA_PANEL 24x24/apps/remmina-panel.png)
set(ICON16_DATA_PANEL_LIGHT 16x16/apps/remmina-panel-inverted.png)
set(ICON22_DATA_PANEL_LIGHT 22x22/apps/remmina-panel-inverted.png)
set(ICON24_DATA_PANEL_LIGHT 24x24/apps/remmina-panel-inverted.png)
set(ICON32_DATA 32x32/apps/${REMMINA_ICON}.png)
set(ICON48_DATA 48x48/apps/${REMMINA_ICON}.png)
set(ICON64_DATA 64x64/apps/${REMMINA_ICON}.png)
set(ICON72_DATA 72x72/apps/${REMMINA_ICON}.png)
set(ICON96_DATA 96x96/apps/${REMMINA_ICON}.png)
set(ICON128_DATA 128x128/apps/${REMMINA_ICON}.png)
set(ICON256_DATA 256x256/apps/${REMMINA_ICON}.png)
set(ICONSVG_DATA scalable/apps/remmina-panel.svg)
set(ICONSVG_DATA scalable/apps/remmina-panel-inverted.svg)
set(ICONSVG_DATA scalable/apps/${REMMINA_ICON}.svg)

install(FILES ${ICON16_DATA} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA} DESTINATION ${ICON24_DIR})
install(FILES ${ICON16_DATA_PANEL} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA_PANEL} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA_PANEL} DESTINATION ${ICON24_DIR})
install(FILES ${ICON16_DATA_PANEL_LIGHT} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA_PANEL_LIGHT} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA_PANEL_LIGHT} DESTINATION ${ICON24_DIR})
install(FILES ${ICON32_DATA} DESTINATION ${ICON32_DIR})
install(FILES ${ICON48_DATA} DESTINATION ${ICON48_DIR})
install(FILES ${ICON64_DATA} DESTINATION ${ICON64_DIR})
install(FILES ${ICON72_DATA} DESTINATION ${ICON72_DIR})
install(FILES ${ICON96_DATA} DESTINATION ${ICON96_DIR})
install(FILES ${ICON128_DATA} DESTINATION ${ICON128_DIR})
install(FILES ${ICON256_DATA} DESTINATION ${ICON256_DIR})
install(FILES ${ICONSVG_DATA} DESTINATION ${ICONSVG_DIR})

set(REMMINA_BINARY_PATH ${CMAKE_INSTALL_FULL_BINDIR}/remmina)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${REMMINA_APP_ID}.desktop.in
    ${CMAKE_CURRENT_BINARY_DIR}/${REMMINA_APP_ID}.desktop @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina-file.desktop.in
    ${CMAKE_CURRENT_BINARY_DIR}/remmina-file.desktop @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${REMMINA_APP_ID}.desktop
    DESTINATION "${REMMINA_DATADIR}/applications")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina-file.desktop
    DESTINATION "${REMMINA_DATADIR}/applications")
install(FILES ${REMMINA_APP_ID}.appdata.xml
    DESTINATION "${REMMINA_DATADIR}/metainfo")
# Kiosk Session Files
install(
    FILES remmina-gnome-xsession.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/xsessions
    RENAME remmina-gnome.desktop
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )
install(
    FILES remmina-gnome.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications
    RENAME remmina-gnome.desktop
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )
install(
    FILES remmina-gnome.session
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/gnome-session/sessions
    RENAME remmina-gnome.session
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )
install(
    FILES remmina-gnome
    DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
    RENAME remmina-gnome
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ
    WORLD_EXECUTE WORLD_READ
    )

if(WITH_MANPAGES)
    install(
        FILES remmina-gnome.1
        DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
        )
endif()

install(
    FILES gnome-session-remmina
    DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
    RENAME gnome-session-remmina
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ
    WORLD_EXECUTE WORLD_READ
    )

if(WITH_MANPAGES)
    install(
        FILES gnome-session-remmina.1
        DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
        )
endif()

# XML mime types
set( SHARED_MIME_INFO_MINIMUM_VERSION "0.30" )
set( XDG_MIME_INSTALL_DIR "${REMMINA_DATADIR}/mime/packages" )
find_package( SharedMimeInfo )
if( SHARED_MIME_INFO_FOUND )
    install( FILES remmina-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
    update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )
endif()

=== data/icons/CMakeLists.txt ===
# icons/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2016-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(APPICONSCALE_ACTIONS_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/actions")
set(APPICONSCALE_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/emblems")

set(APPICONSCALE_ACTIONS_DATA
    scalable/actions/remmina-camera-photo-symbolic.svg
    scalable/actions/remmina-disconnect-symbolic.svg
    scalable/actions/remmina-dynres-symbolic.svg
    scalable/actions/remmina-fit-window-symbolic.svg
    scalable/actions/remmina-folder-symbolic.svg
    scalable/actions/remmina-fullscreen-symbolic.svg
    scalable/actions/remmina-go-bottom-symbolic.svg
    scalable/actions/remmina-keyboard-symbolic.svg
    scalable/actions/remmina-pan-down-symbolic.svg
    scalable/actions/remmina-pan-up-symbolic.svg
    scalable/actions/remmina-pin-down-symbolic.svg
    scalable/actions/remmina-pin-up-symbolic.svg
    scalable/actions/remmina-preferences-system-symbolic.svg
    scalable/actions/remmina-scale-symbolic.svg
    scalable/actions/remmina-switch-page-symbolic.svg
    scalable/actions/remmina-system-run-symbolic.svg
    )

set(APPICONSCALE_EMBLEMS_DATA
    scalable/emblems/remmina-sftp-symbolic.svg
    scalable/emblems/remmina-ssh-symbolic.svg
    )

install(FILES ${APPICONSCALE_ACTIONS_DATA} DESTINATION ${APPICONSCALE_ACTIONS_DIR})
install(FILES ${APPICONSCALE_EMBLEMS_DATA} DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

=== data/theme/CMakeLists.txt ===
# data/theme - The GTK+ Remote Desktop Client
#
# Copyright (C) 2014-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

file(GLOB TERM_COLOR_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.colors")
foreach(ITEM ${TERM_COLOR_FILES})
    list( APPEND FILES_TO_DEPLOY "${ITEM}" )
endforeach()
install( FILES ${FILES_TO_DEPLOY} DESTINATION "${REMMINA_THEMEDIR}" )

=== plugins/exec/CMakeLists.txt ===
# remmina-plugin-tool_hello_world - The GTK+ Remote Desktop Client
#
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_EXEC_SRCS
        exec_plugin_config.h
        exec_plugin.c
)

add_library(remmina-plugin-exec MODULE ${REMMINA_PLUGIN_EXEC_SRCS})
set_target_properties(remmina-plugin-exec PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-exec PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${GTK_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-exec ${REMMINA_COMMON_LIBRARIES})

install(TARGETS remmina-plugin-exec DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-tool-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

=== plugins/nx/CMakeLists.txt ===
# remmina-plugin-nx - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_NX_SRCS
        nx_session.c
        nx_session.h
        nx_session_manager.c
        nx_session_manager.h
        nx_plugin.c
        nx_plugin.h
        )

add_library(remmina-plugin-nx ${REMMINA_PLUGIN_NX_SRCS})
set_target_properties(remmina-plugin-nx PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-nx PROPERTIES NO_SONAME 1)

find_package(X11)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS}
    ${XKBFILE_INCLUDE_DIRS} ${LIBSSH_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-nx
    ${REMMINA_COMMON_LIBRARIES}
    ${XKBFILE_LIBRARIES}
    ${LIBSSH_LIBRARIES}
    ${X11_X11_LIB})

install(TARGETS remmina-plugin-nx DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-nx-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

=== plugins/rdp/CMakeLists.txt ===
# remmina-plugin-rdp - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package(Threads REQUIRED)
find_package(X11)

set(REMMINA_PLUGIN_RDP_SRCS
        rdp_plugin.c
        rdp_plugin.h
        rdp_event.c
        rdp_event.h
        rdp_file.c
        rdp_file.h
        rdp_settings.c
        rdp_settings.h
        rdp_graphics.c
        rdp_graphics.h
        rdp_cliprdr.c
        rdp_cliprdr.h
        rdp_channels.c
        rdp_channels.h
        )

add_definitions(-DFREERDP_REQUIRED_MAJOR=${FREERDP_REQUIRED_MAJOR})
add_definitions(-DFREERDP_REQUIRED_MINOR=${FREERDP_REQUIRED_MINOR})
add_definitions(-DFREERDP_REQUIRED_REVISION=${FREERDP_REQUIRED_REVISION})

add_library(remmina-plugin-rdp MODULE ${REMMINA_PLUGIN_RDP_SRCS})
set_target_properties(remmina-plugin-rdp PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-rdp PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${FREERDP_INCLUDE_DIRS} ${X11_INCLUDE_DIR})
target_link_libraries(remmina-plugin-rdp
    ${REMMINA_COMMON_LIBRARIES} ${FREERDP_LIBRARIES} ${X11_LIBRARIES})

install(TARGETS remmina-plugin-rdp DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-rdp-ssh-symbolic.svg
    scalable/emblems/remmina-rdp-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

=== plugins/spice/CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2016-2018 Denis Ollier
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
#  In addition, as a special exception, the copyright holders give
#  permission to link the code of portions of this program with the
#  OpenSSL library under certain conditions as described in each
#  individual source file, and distribute linked combinations
#  including the two.
#  You must obey the GNU General Public License in all respects
#  for all of the code used other than OpenSSL. *  If you modify
#  file(s) with this exception, you may extend this exception to your
#  version of the file(s), but you are not obligated to do so. *  If you
#  do not wish to do so, delete this exception statement from your
#  version. *  If you delete this exception statement from all source
#  files in the program, then also delete it here.

set(REMMINA_PLUGIN_SPICE_SRCS
        spice_plugin.c
        spice_plugin_file_transfer.c
        spice_plugin_usb.c
        )

add_library(remmina-plugin-spice ${REMMINA_PLUGIN_SPICE_SRCS})
set_target_properties(remmina-plugin-spice PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-spice PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${SPICE_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-spice ${REMMINA_COMMON_LIBRARIES} ${SPICE_LIBRARIES})

install(TARGETS remmina-plugin-spice DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-spice-ssh-symbolic.svg
    scalable/emblems/remmina-spice-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

=== plugins/tool_hello_world/CMakeLists.txt ===
# remmina-plugin-tool_hello_world - The GTK+ Remote Desktop Client
#
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2018 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_SRCS
        plugin_config.h
        plugin.c
)

add_library(remmina-plugin-tool_hello_world MODULE ${REMMINA_PLUGIN_SRCS})
set_target_properties(remmina-plugin-tool_hello_world PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-tool_hello_world PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-tool_hello_world ${REMMINA_COMMON_LIBRARIES})

install(TARGETS remmina-plugin-tool_hello_world DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-tool-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

=== debian/changelog ===
remmina (1.2.31.4+dfsg-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch back appindicator, until the MIR in 1770146 is sorted

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Aug 2018 09:08:20 +0200

remmina (1.2.31.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.2.0 -> 4.2.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 28 Aug 2018 23:25:02 +0200

remmina (1.2.31.3+dfsg-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch back appindicator, until the MIR in 1770146 is accepted

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Aug 2018 20:03:48 +0200

remmina (1.2.31.3+dfsg-1) unstable; urgency=medium

  * New upstream hotfix release (Closes: #906154)
  * debian/patches/: patchset dropped (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 15 Aug 2018 14:57:25 +0200

remmina (1.2.31.2+dfsg-2) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #905910)
    - 0002-Fix_Cmake_rule_for_LibSSH.patch added
  * debian/control: S-V bump 4.1.5 -> 4.2.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 12 Aug 2018 14:27:56 +0200

remmina (1.2.31.2+dfsg-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch back appindicator, until the MIR in 1770146 is accepted

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Aug 2018 09:57:57 +0200

remmina (1.2.31.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/: use upstream man pages
    - debian/patches/: patchset updated
      - 0001-Fix_warnings_on_manpages.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 01 Aug 2018 22:34:48 +0200

remmina (1.2.31+dfsg-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch back appindicator, until the MIR in 1770146 is accepted

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 Jul 2018 11:48:42 +0200

remmina (1.2.31+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/copyright: update Files-Excluded list
  * debian/control: S-V bump 4.1.4 -> 4.1.5 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 29 Jul 2018 14:55:35 +0200

remmina (1.2.30.1+dfsg-1ubuntu1) cosmic; urgency=medium

  * Switch back appindicator, until the MIR in 1770146 is accepted

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jul 2018 14:25:14 +0200

remmina (1.2.30.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 30 May 2018 00:14:01 +0200

remmina (1.2.30+dfsg-2) unstable; urgency=medium

  * debian/control: add intltool to b-deps
  * debian/rules: use intltool and override_dh_clean

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 23 May 2018 22:46:40 +0200

remmina (1.2.30+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/: update repacking stuff
  * debian/control: drop obsolete libappindicator3-dev
  * debian/copyright: add .gitmodules to Files-Excluded field

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 21 May 2018 21:34:10 +0200

=== debian/control ===
Source: remmina
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake (>= 3.5),
 debhelper (>= 11~),
 freerdp2-dev (>= 2.0.0~),
 intltool,
 libappindicator3-dev,
 libavahi-ui-gtk3-dev (>= 0.6.0),
 libgcrypt-dev | libgcrypt20-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libjson-glib-dev,
 libsecret-1-dev,
 libsoup2.4-dev,
 libspice-client-gtk-3.0-dev,
 libspice-protocol-dev,
 libssh-dev (>= 0.8.0~20170825.94fa1e38),
 libtelepathy-glib-dev,
 libvncserver-dev,
 libvte-2.91-dev,
 libxkbfile-dev
Standards-Version: 4.2.1
Homepage: http://www.remmina.org/
Vcs-Git: https://salsa.debian.org/debian-remote-team/remmina.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/remmina

Package: remmina
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus
Recommends:
 remmina-plugin-rdp,
 remmina-plugin-vnc,
 remmina-plugin-secret
Suggests:
 remmina-plugin-exec,
 remmina-plugin-nx,
 remmina-plugin-spice,
 remmina-plugin-telepathy,
 remmina-plugin-xdmcp
Description: GTK+ Remote Desktop Client
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP and SSH are supported.

Package: remmina-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: remmina
Description: Common files for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the common files.

Package: remmina-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Headers for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the development headers for Remmina, to develop
 new plugins.

Package: remmina-plugin-rdp
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: RDP plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-xdmcp
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 xserver-xephyr
Description: XDMCP plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the XDMCP plugin for Remmina.

Package: remmina-plugin-nx
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 nxproxy
Description: NX plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the NX plugin for Remmina.

Package: remmina-plugin-spice
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
Description: Spice plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the Spice plugin for Remmina.

Package: remmina-plugin-telepathy
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Telepathy plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the Telepathy plugin for Remmina.

Package: remmina-plugin-secret
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Breaks: remmina-plugin-gnome
Replaces: remmina-plugin-gnome
Description: Secret plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the secret plugin for Remmina, which
 allows one to store and retrieve passwords from GNOME Keyring
 or KWallet.

Package: remmina-plugin-exec
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: EXEC plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the EXEC plugin for Remmina.
